<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ContinuableRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ContinuableRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ContinuableRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cont/ContinuableRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="ContinuableRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.cont</div>
    <h2 title="Class ContinuableRecord" class="title">Class ContinuableRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.record.cont.ContinuableRecord</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hssf/record/ExtSSTRecord.html"
                           title="class in org.apache.poi.hssf.record">ExtSSTRecord</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/NameRecord.html"
                            title="class in org.apache.poi.hssf.record">NameRecord</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/SSTRecord.html"
                            title="class in org.apache.poi.hssf.record">SSTRecord</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/StringRecord.html"
                            title="class in org.apache.poi.hssf.record">StringRecord</a>, <a
                            href="../../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                            title="class in org.apache.poi.hssf.record">TextObjectRecord</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">ContinuableRecord</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/Record.html" title="class in org.apache.poi.hssf.record">Record</a></pre>
                <div class="block">Common superclass of all records that can produce <a
                        href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s while being
                    serialized.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#ContinuableRecord--">ContinuableRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#getRecordSize--">getRecordSize</a></span>()</code>
                                    <div class="block">gives the current serialized size of the record.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</code>
                                    <div class="block">Serializes this record's content to the supplied data output.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-int-byte:A-">serialize</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">called by the class that is responsible for writing this
                                        sucker.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ContinuableRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ContinuableRecord</h4>
                                <pre>protected&nbsp;ContinuableRecord()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>protected abstract&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</pre>
                                <div class="block">Serializes this record's content to the supplied data output.<p>
                                    The standard BIFF header (ushort sid, ushort size) has been handled by the
                                    superclass, so
                                    only BIFF data should be written by this method. Simple data types can be written
                                    with the
                                    standard <a href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util"><code>LittleEndianOutput</code></a>
                                    methods. Methods from <a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont"><code>ContinuableRecordOutput</code></a>
                                    can be used to serialize strings (with <a
                                        href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s
                                    being written as required).
                                    If necessary, implementors can explicitly start <a
                                        href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s
                                    (regardless of the
                                    amount of remaining space).</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - a data output stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordSize</h4>
                                <pre>public final&nbsp;int&nbsp;getRecordSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">RecordBase</a></code></span>
                                </div>
                                <div class="block">gives the current serialized size of the record. Should include the
                                    sid
                                    and reclength (4 bytes).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--">getRecordSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                                title="class in org.apache.poi.hssf.record">RecordBase</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the total length of the encoded record(s)
                                        (Note - if any <a
                                                href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                                title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>
                                        is required, this result includes the
                                        size of those too)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public final&nbsp;int&nbsp;serialize(int&nbsp;offset,
                           byte[]&nbsp;data)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#serialize-int-byte:A-">RecordBase</a></code></span>
                                </div>
                                <div class="block">called by the class that is responsible for writing this sucker.
                                    Subclasses should implement this so that their data is passed back in a
                                    byte array.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#serialize-int-byte:A-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                                title="class in org.apache.poi.hssf.record">RecordBase</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - to begin writing at</dd>
                                    <dd><code>data</code> - byte array containing instance data</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of bytes written</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ContinuableRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cont/ContinuableRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="ContinuableRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
